package com.yc.ship.module.ota.dal.dataobject.distributortype;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/**
 * 分销商类型 DO
 *
 * @author 管理员
 */
@TableName("ota_distributor_type")
@KeySequence("ota_distributor_type_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorTypeDO extends TenantBaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 类型编码
     */
    private String typeCode;
    /**
     * 名称
     */
    private String name;
    /**
     * 是否启用
     */
    private Integer isUse;
    /**
     * 是否支持退票审核
     */
    private Integer supportRefundExamine;

}