package com.yc.ship.module.otc.api.agency;

import com.yc.ship.framework.common.pojo.CommonResult;
import com.yc.ship.module.otc.api.agency.dto.AgencyUserLoginInfoReqDTO;
import com.yc.ship.module.otc.api.agency.dto.AgencyUserLoginInfoRespDTO;
import com.yc.ship.module.otc.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.parameters.RequestBody;
import io.swagger.v3.oas.annotations.tags.Tag;

@Tag(name = "RPC 服务 - 订单")
public interface AgencyAuthApi {

    String PREFIX = ApiConstants.PREFIX + "/auth";

    /**
     * 获取旅行社用户登录信息
     * @param reqDTO
     * @return
     */
    @Operation(summary = "获取旅行社用户登录信息")
    CommonResult<AgencyUserLoginInfoRespDTO> getAgencyUserLoginInfo(@RequestBody AgencyUserLoginInfoReqDTO reqDTO);
    /**
     * 获取旅行社用户登录信息 (可返回null)
     * @param reqDTO
     * @return
     */
    @Operation(summary = "获取门店登录信息")
    CommonResult<AgencyUserLoginInfoRespDTO> getStoreSellerLoginInfo(@RequestBody AgencyUserLoginInfoReqDTO reqDTO);
}
