package com.yc.ship.module.otc.api.store.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author aoxiang
 * @description todo
 * @date 2024/12/26 10:09
 */
@Schema(description = "RPC 服务 - 门店资金卡信息Request DTO")
@Data
public class StoreCardRespDTO implements Serializable {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    private Long id;

    @Schema(description = "门店编码")
    private String storeCode;

    @Schema(description = "门店名称", example = "李四")
    private String storeName;

    @Schema(description = "联系电话", example = "李四")
    private String tel;

    @Schema(description = "门店余额")
    private BigDecimal balance;

    @Schema(description = "是否启用授信 0.否 1.是")
    private Integer enableCredit;
    @Schema(description = "预付款类型 0 禁用 1共享预付款 2指定预付款")
    private Integer balanceType;
    @Schema(description = "授信类型 0 禁用 1共享授信 2指定授信")
    private Integer creditType;
    @Schema(description = "授信额度")
    private BigDecimal credit;
    @Schema(description = "已用授信额度")
    private BigDecimal surplus;
    @Schema(description = "平台授信额度")
    private BigDecimal platCredit;
    @Schema(description = "已用平台授信额度")
    private BigDecimal platSurplus;
}
