package com.yc.ship.module.otc.controller.admin.cooperate.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 合作旅行社 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CooperateRespVO {

    @Schema(description = "合作旅行社ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16432")
//    @ExcelProperty("合作旅行社ID")
    private Long id;

    @Schema(description = "合作旅行社名称", example = "王五")
    @ExcelProperty("合作旅行社名称")
    private String name;

    @Schema(description = "联系人姓名")
    @ExcelProperty("联系人姓名")
    private String contactPerson;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String contactPhone;

    @Schema(description = "联系地址")
    @ExcelProperty("联系地址")
    private String contactAddress;

    @Schema(description = "所属区域")
    @ExcelProperty("所属区域")
    private String region;

    @Schema(description = "合作开始日期")
//    @ExcelProperty("合作开始日期")
    private LocalDateTime startDate;

    @Schema(description = "合作结束日期")
//    @ExcelProperty("合作结束日期")
    private LocalDateTime endDate;

    @Schema(description = "银行账户", example = "2777")
    @ExcelProperty("银行账户")
    private String backAccount;

    @Schema(description = "银行开户行", example = "2777")
    @ExcelProperty("银行开户行")
    private String backAddress;

    @Schema(description = "税号")
    @ExcelProperty("税号")
    private String taxNumber;

    @Schema(description = "电话")
    @ExcelProperty("电话")
    private String phone;

    @Schema(description = "联行号")
    @ExcelProperty("联行号")
    private String interbankNumber;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @ExcelProperty("合作开始日期")
    private LocalDate startDateExcel;

    public LocalDate getStartDateExcel() {
        return startDate.toLocalDate();
    }

    @ExcelProperty("合作结束日期")
    private LocalDate endDateExcel;

    public LocalDate getEndDateExcel() {
        return endDate.toLocalDate();
    }
}
