package com.yc.ship.module.otc.controller.admin.link.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 链接管理新增/修改 Request VO")
@Data
public class LinkSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "9914")
    private Long id;

    @Schema(description = "链接名称", example = "王五")
    private String linkName;

    @Schema(description = "链接类型 1.门店码 2.员工码 3.产品码 4.子产品码")
    private Integer type;

    @Schema(description = "公告")
    private String content;

    @Schema(description = "是否多选 0.否 1.是")
    private Integer isMultiple;

    @Schema(description = "关联ID")
    private Long checkedValue;

    @Schema(description = "附加参数ID")
    private Long paramValue;

    @Schema(description = "关联ID集合")
    private List<Long> checkedValues;

    @Schema(description = "附加参数ID集合")
    private List<Long> paramValues;


}
