package com.yc.ship.module.otc.controller.admin.print.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 打印模板新增/修改 Request VO")
@Data
public class PrintSaveReqVO {

    @Schema(description = "模板主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "12793")
    private Long id;

    @Schema(description = "模板名称", example = "王五")
    private String templateName;

    @Schema(description = "打印机名称（空表示默认打印机）", example = "王五")
    private String printerName;

    @Schema(description = "模板类型", example = "1")
    private Integer templateType;

    @Schema(description = "打印模板编号")
    private String templateCode;

    @Schema(description = "背景图片")
    private String backgroundImg;

    @Schema(description = "摆放模式", example = "2")
    private Integer putType;

    @Schema(description = "宽度")
    private BigDecimal width;

    @Schema(description = "高度")
    private BigDecimal height;

    @Schema(description = "页面打印单位")
    private String pageUnit;

    @Schema(description = "模板设计数据")
    private String tempData;

    @Schema(description = "模板内容数据")
    private String contentData;

    @Schema(description = "是否为默认模板（一个类型只能有一个默认模板）：0否，1是")
    private Integer isDefault;

    @Schema(description = "状态")
    private Integer isUse;

}
