package com.yc.ship.module.otc.controller.admin.store.machine;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 关联设备 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StoreMachineRespVO {

    @Schema(description = "门店ID", example = "24819")
    @ExcelProperty("门店ID")
    private Long storeId;

    @Schema(description = "设备编码", example = "30745")
    @ExcelProperty("设备编码")
    private String machineId;

    @Schema(description = "设备名称", example = "张三")
    @ExcelProperty("设备名称")
    private String machineName;

    @Schema(description = "设备类型", example = "2")
    @ExcelProperty("设备类型")
    private Integer machineType;

    @Schema(description = "设备状态", example = "2")
    @ExcelProperty("设备状态")
    private Integer machineStatus;

    @Schema(description = "是否启用")
    @ExcelProperty("是否启用")
    private Long isUse;

    @Schema(description = "排序")
    @ExcelProperty("排序")
    private Integer sortNum;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;
}
