package com.yc.ship.module.otc.controller.admin.storecard.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 门店资金卡新增/修改 Request VO")
@Data
public class StoreCardSaveReqVO {

    @Schema(description = "门店资金卡ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "30527")
    private Long id;

    @Schema(description = "门店id", requiredMode = Schema.RequiredMode.REQUIRED, example = "32135")
    @NotNull(message = "门店id不能为空")
    private Long storeId;

    @Schema(description = "门店余额")
    private BigDecimal balance;

//    @Schema(description = "启用平台授信")
//    private Integer enablePlatCredit;
//    @Schema(description = "启用旅行社授信")
//    private Integer enableOtcCredit;

    @Schema(description = "授信额度")
    private BigDecimal credit;

    @Schema(description = "已用额度")
    private BigDecimal surplus;

    @Schema(description = " 预付款类型 0 禁用 1共享预付款 2定向预付款")
    private Integer balanceType;

    @Schema(description = "授信类型 0 禁用 1共享授信 2定向授信")
    private Integer creditType;

//    @Schema(description = "平台授信额度")
//    private BigDecimal platCredit;
//    @Schema(description = "已用平台授信额度")
//    private BigDecimal platSurplus;
}
