package com.yc.ship.module.otc.dal.dataobject.cooperate;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 合作旅行社 DO
 *
 * @author 管理员
 */
@TableName("otc_agency_cooperate")
@KeySequence("otc_agency_cooperate_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CooperateDO extends TenantBaseDO {

    /**
     * 合作旅行社ID
     */
    @TableId
    private Long id;
    /**
     * 合作旅行社名称
     */
    private String name;
    /**
     * 联系人姓名
     */
    private String contactPerson;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 联系地址
     */
    private String contactAddress;
    /**
     * 所属区域
     */
    private String region;
    /**
     * 合作开始日期
     */
    private LocalDateTime startDate;
    /**
     * 合作结束日期
     */
    private LocalDateTime endDate;
    /**
     * 合同
     */
    private String contractUrl;
    /**
     * 单位地址
     */
    private String unitAddress;
    /**
     * 开户行地址
     */
    private String backAddress;
    /**
     * 银行账户
     */
    private String backAccount;
    /**
     * 税号
     */
    private String taxNumber;
    /**
     * 电话
     */
    private String phone;
    /**
     * 联行号
     */
    private String interbankNumber;

}
