package com.yc.ship.module.otc.dal.dataobject.link;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 链接管理 DO
 *
 * @author 管理员
 */
@TableName("otc_link")
@KeySequence("otc_link_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LinkDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 链接名称
     */
    private String linkName;
    /**
     * 链接类型 1.门店码 2.售票员码
     */
    private Integer type;
    /**
     * 是否多选 0.否 1.是
     */
    private Integer isMultiple;
    /**
     * 公告
     */
    private String content;
    /**
     * 小程序码
     */
    private String url;

    private String linkUrl;

}
