package com.yc.ship.module.otc.dal.dataobject.storecard;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 门店资金卡 DO
 *
 * @author 管理员
 */
@TableName("otc_agency_store_card")
@KeySequence("otc_agency_store_card_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreCardDO extends TenantBaseDO {

    /**
     * 门店资金卡ID
     */
    @TableId
    private Long id;
    /**
     * 门店id
     */
    private Long storeId;
    /**
     * 门店余额
     */
    private BigDecimal balance;

    /**
     * 授信额度
     */
    private BigDecimal credit;
    /**
     * 已用额度
     */
    private BigDecimal surplus;

    /**
     * 预付款类型 0 禁用 1共享预付款 2定向预付款
     * <p>
     */
    private Integer balanceType;
    /**
     * 授信类型 0 禁用 1共享授信 2定向授信
     * <p>
     */
    private Integer creditType;


}
