package com.yc.ship.module.otc.dal.dataobject.storecreditlog;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 旅行社门店平台授信额度变更 DO
 *
 * @author 管理员
 */
@TableName("otc_store_plat_credit_log")
@KeySequence("otc_store_plat_credit_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StorePlatCreditLogDO extends BaseDO {

    /**
     * 额度变更ID
     */
    @TableId
    private Long id;

    /**
     * 旅行社
     */
    private Long distributorId;

    /**
     * 门店ID
     */
    private Long storeId;
    /**
     * 变更前额度
     */
    private BigDecimal beforeCredit;
    /**
     * 变更后额度
     */
    private BigDecimal afterCredit;
    /**
     * 变更金额
     */
    private BigDecimal creditAmount;
    /**
     * 变更类型 1.增加、2.减少
     */
    private Integer creditMode;
    /**
     * 备注
     */
    private String remark;

}