package com.yc.ship.module.resource.controller.admin.dock.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 资源管理-口岸码头管理新增/修改 Request VO")
@Data
public class ResourceDockSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31588")
    private Long id;

    @Schema(description = "码头名称", example = "赵六")
    private String name;

    @Schema(description = "经度")
    private BigDecimal longitude;

    @Schema(description = "纬度")
    private BigDecimal latitude;

    @Schema(description = "省份ID", example = "32550")
    private Integer provinceId;

    @Schema(description = "省份名称", example = "芋艿")
    private String provinceName;

    @Schema(description = "城市ID", example = "32155")
    private Integer cityId;

    @Schema(description = "城市名称", example = "王五")
    private String cityName;

    @Schema(description = "区县ID", example = "26907")
    private Integer countyId;

    @Schema(description = "区县名称", example = "芋艿")
    private String countyName;

    @Schema(description = "详细地址")
    private String address;

    @Schema(description = "所属口岸", example = "17721")
    private Long portId;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "状态不能为空")
    private Integer status;

}