package com.yc.ship.module.resource.controller.admin.port.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 资源管理-口岸管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ResourcePortRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "10116")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "口岸名称", example = "芋艿")
    @ExcelProperty("口岸名称")
    private String name;

    @Schema(description = "地理位置")
    @ExcelProperty("地理位置")
    private String address;

    @Schema(description = "省份ID", example = "790")
    @ExcelProperty("省份ID")
    private Integer provinceId;

    @Schema(description = "省份名称", example = "赵六")
    @ExcelProperty("省份名称")
    private String provinceName;

    @Schema(description = "备注", example = "你说的对")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}