package com.yc.ship.module.resource.controller.admin.room.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.yc.ship.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 资源管理-游轮房间管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ResourceRoomPageReqVO extends PageParam {

    @Schema(description = "房间号")
    private Integer roomNum;

    @Schema(description = "房型")
    private Long roomModelId;

    @Schema(description = "所属游轮", example = "2552")
    private Long shipId;

    @Schema(description = "所属楼层")
    private Integer floors;

    @Schema(description = "状态", example = "1")
    private Integer status;

}