package com.yc.ship.module.resource.controller.admin.roommodel.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.yc.ship.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 资源管理-房型管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ResourceRoomModelPageReqVO extends PageParam {

    @Schema(description = "房型名称", example = "王五")
    private String name;

    @Schema(description = "房型编码")
    private String code;

    @Schema(description = "所属游轮", example = "1463")
    private Long shipId;

    @Schema(description = "是否套房")
    private Integer suite;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "关联房间", example = "")
    private String roomNums;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}